#!/bin/sh

set -e

DIR="$( cd "$( dirname "$0" )" && pwd )"

if [ "$(uname -s)" = "Darwin" ]; then
  if [ "$(whoami)" = "root" ]; then
    TARGET_DIR="/Library/Google/Chrome/NativeMessagingHosts"
  else
    TARGET_DIR="$HOME/Library/Application Support/Google/Chrome/NativeMessagingHosts"
  fi
else
  if [ "$(whoami)" = "root" ]; then
    TARGET_DIR="/etc/opt/chrome/native-messaging-hosts"
  else
    TARGET_DIR="$HOME/.config/google-chrome/NativeMessagingHosts"
  fi
fi


# host path in the manifest.
HOST_PATH=$HOME/.postman

# manifest name
HOST_NAME=com.postman.postmanapp

rm "$TARGET_DIR/$HOST_NAME.json"
rm -rf "$HOST_PATH"
echo "Native messaging host $HOST_NAME has been uninstalled."
